package cn.efunbox.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import cn.efunbox.model.Film;

public interface FilmMapper {
      
    /**
     * 查询所有
     * @return
     */
    List<Film> queryAll();
    
    /**
     * 插入一条记录
     * @param film
     */
    int insert(Film film);

    /**
     * 删除一条记录
     * @param film_code
     */
    void delete(@Param("film_code") String film_code, @Param("type") int type);

    /**
     * 搜索一条记录
     * @param film_code
     */
    Film get(@Param("film_code") String film_code, @Param("type") int type);

}