package cn.efunbox.service;

import java.util.List;

import cn.efunbox.model.Film;

public interface IFilmService {

    /**
     * 新增记录
     * @return
     */
    int insert(Film film);

    /**
     * 删除记录
     * @return
     */
    void delete(String film_code, int type);

    /**
     * 搜索记录
     * @return
     */
    Film get(String film_code, int type);
    
    /**
     * 加载全部
     * @return
     */
    List<Film> loadAll();

}